---
updatedAt: 2026-05-13T09:04:08.000Z
---

# Batch update author records by author

Batch update author records associated with a single author

## Details

Batch updates author records associated with a single author.

See [About Author API PUT actions](https://developer.khoros.com/khoroscaredevdocs/reference/about-author-api-put-actions) for important details.

When making batch author updates, you do not pass a `networkid` or `networktype`. New author records will be created in the system and associated with the existing authors. See [PUT /authors](https://developer.khoros.com/khoroscaredevdocs/reference/authors-2)  for additional author update scenarios.

Because you do not specify the internal ID of the author in the call, the API selects the author ID associated with a handle type (i.e. the network/provider type) passed in the JSON. The API reads the provider types in a particular order and selects the first handle to appear within the provider found first.

For batch author updates that contain malformed data, the API updates the data that passes validation and fails on the updates that do not pass validation. The response lists successful updates in the `data` section and lists failures in the `metadata` section.

This example shows a batch author update.

```json Example batch author update payload
[
   {
     "handles":{
       "crm":[
         {
           "networkinstance":"sfdc1",
           "id":"394502",
           "customFieldName":"customFieldValue"
         },
         {
           "networkinstance":"another_crm",
           "id":"546hfghfe",
           "customFieldName":"customFieldValue"
         }
       ],
       "facebook":[
         {
           "id":123456789012345
         }
       ]
     }
   },
   {
     "handles":{
       "crm":[
         {
           "networkinstance":"sfdc1",
           "id":"394503",
           "customFieldName":"customFieldValue"
         }
       ],
       "facebook":[
         {
           "id":123456789012345
         }
       ]
     }
   },
   {
     "handles":{
       "crm":[
         {
           "networkinstance":"sfdc1",
           "id":"394504",
           "customFieldName":"customFieldValue"
         }
       ],
       "facebook":[
         {
           "id":123456789012345
         }
       ]
     }
   }
 ]
```

# Related endpoints

| Action | Endpoint                                                                                                               |
| ------ | ---------------------------------------------------------------------------------------------------------------------- |
| GET    | [/authors](https://developer.khoros.com/khoroscaredevdocs/reference/authors)<br />Get all authors in a paginated response                                                   |
| POST   | [/authors](https://developer.khoros.com/khoroscaredevdocs/reference/authors-1)<br />Add an author to Care                                                                   |
| GET    | [/authors/lswUuid](https://developer.khoros.com/khoroscaredevdocs/reference/authorslswuuid)(br />)Get author details by the unique Care author ID                           |
| PUT    | [/authors/lswUuid](https://developer.khoros.com/khoroscaredevdocs/reference/authorslswuuid-1)<br />Update or merge existing author handles for the specified Care author ID |
| GET    | [/authors/changed](https://developer.khoros.com/khoroscaredevdocs/reference/authorschanged)<br />Get a list of author records that have changed in a 24-hour period         |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "author-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/authors",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/": {
      "put": {
        "summary": "Batch update author records by author",
        "description": "Batch update author records associated with a single author",
        "operationId": "authors-2",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "https://your_social_response_instance.lithium.com/api/v2/authors/"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```